
https://github.com/dennislamcv1/DL0110EN

# Deep Learning with Python and PyTorch

The course will teach you how to develop Deep Learning models using Pytorch while providing the necessary deep-learning background.

We'll start off with PyTorch's tensors and its Automatic Differentiation package. Then we'll cover different Deep Learning models in each section, beginning with fundamentals such as Linear Regression and logistic/softmax regression. We'll then move on to Feedforward deep neural networks, the role of different activation functions, normalization and dropout layers.

In the final part of the course, we'll focus on Convolutional Neural Networks and Transfer Learning (pre-trained models). Several other Deep Learning methods will also be covered.